Debian Bug report logs - #499740
libwx-perl - FTBFS: Failed 2/4 test scripts. 6/9 subtests failed.

version graph

Package: libwx-perl; Maintainer for libwx-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libwx-perl is src:libwx-perl.

Reported by: Bastian Blank <waldi@debian.org>

Date: Sun, 21 Sep 2008 18:48:04 UTC

Severity: serious

Found in versions libwx-perl/0.86-1, libwx-perl/0.86-2, libwx-perl/0.88-1

Fixed in version libwx-perl/0.94-1

Done: Ryan Niebur <ryan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#499740; Package libwx-perl. (Sun, 21 Sep 2008 18:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 21 Sep 2008 18:48:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: libwx-perl - FTBFS: Failed 2/4 test scripts. 6/9 subtests failed.
Date: Sun, 21 Sep 2008 20:46:23 +0200
Package: libwx-perl
Version: 0.86-1
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of libwx-perl_0.86-1 on lxdebian.bfinv.de by sbuild/s390 98
[...]
> make[4]: Entering directory `/build/buildd/libwx-perl-0.86/ext/pperl/splashfast'
> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, '../../../blib/lib', '../../../blib/arch')" t/*.t
> t/01_load....ok
> t/02_use.....dubious
> 	Test returned status 0 (wstat 11, 0xb)
> DIED. FAILED test 1
> 	Failed 1/1 tests, 0.00% okay
> t/03_new.....ok
> t/04_app.....dubious
> 	Test returned status 0 (wstat 11, 0xb)
> DIED. FAILED tests 1-5
> 	Failed 5/5 tests, 0.00% okay
> Failed Test Stat Wstat Total Fail  List of Failed
> -------------------------------------------------------------------------------
> t/02_use.t     0    11     1    2  1
> t/04_app.t     0    11     5   10  1-5
> Failed 2/4 test scripts. 6/9 subtests failed.
> Files=4, Tests=9,  7 wallclock secs ( 4.67 cusr +  0.19 csys =  4.86 CPU)
> Failed 2/4 test programs. 6/9 subtests failed.
> make[4]: *** [test_dynamic] Error 255
> make[4]: Leaving directory `/build/buildd/libwx-perl-0.86/ext/pperl/splashfast'
> make[3]: *** [subdirs-test] Error 2
> make[3]: Leaving directory `/build/buildd/libwx-perl-0.86/ext/pperl'
> make[2]: *** [subdirs-test] Error 2
> make[2]: Leaving directory `/build/buildd/libwx-perl-0.86/ext'
> make[1]: *** [subdirs-test] Error 2
> make[1]: Leaving directory `/build/buildd/libwx-perl-0.86'
> make: *** [build-stamp] Error 2
> dpkg-buildpackage: failure: debian/rules build gave error exit status 2
> ******************************************************************************
> Build finished at 20080918-1433
> FAILED [dpkg-buildpackage died]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#499740; Package libwx-perl. (Thu, 02 Oct 2008 20:12:07 GMT) Full text and rfc822 format available.

Message #8 received at 499740@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Debian Bug Tracking System <499740@bugs.debian.org>
Cc: 499740-submitter@bugs.debian.org
Subject: Can't reproduce the FTBFS of libwx-perl
Date: Thu, 2 Oct 2008 23:07:47 +0300
[Message part 1 (text/plain, inline)]
tags 499740 unreproducible
thanks

I can't reproduce the FTBFS in my amd64 sid cowbuilder. Also no FTBFS 
in the i386 sid cowbuilder. Both were non-parallel builds.

Bastian, can you (or anyone else) still reproduce it?


        dam

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=bg_BG.UTF-8, LC_CTYPE=bg_BG.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libwx-perl depends on:
ii  libalien-wxwidgets-perl      0.39-1      building, finding and using wxWidg
ii  libc6                        2.7-13      GNU C Library: Shared libraries
ii  libgcc1                      1:4.3.2-1   GCC support library
ii  libstdc++6                   4.3.2-1     The GNU Standard C++ Library v3
ii  libwxbase2.8-0               2.8.7.1-1.1 wxBase library (runtime) - non-GUI
ii  libwxgtk2.8-0                2.8.7.1-1.1 wxWidgets Cross-platform C++ GUI t
ii  perl                         5.10.0-15   Larry Wall's Practical Extraction 
ii  perl-base [perlapi-5.10.0]   5.10.0-15   minimal Perl system

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Tags added: unreproducible Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Thu, 02 Oct 2008 20:12:09 GMT) Full text and rfc822 format available.

Message sent on to Bastian Blank <waldi@debian.org>:
Bug#499740. (Thu, 02 Oct 2008 20:12:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#499740; Package libwx-perl. (Thu, 02 Oct 2008 21:12:02 GMT) Full text and rfc822 format available.

Message #16 received at 499740@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 499740@bugs.debian.org, 499740-submitter@bugs.debian.org
Subject: Bug in libwx-perl fixed in revision 25765
Date: Thu, 02 Oct 2008 21:10:59 +0000
tag 499740 + pending
thanks

Some bugs are closed in revision 25765
by Damyan Ivanov (dmn)

Commit message:

debian/rules: run tests with -j1; this disables parallel make during tests
even if the build targed was invoked with -jN (N>1).
Closes: #499740 -- FTBFS: Failed 2/4 test scripts. 6/9 subtests failed.




Tags added: pending Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 02 Oct 2008 21:12:03 GMT) Full text and rfc822 format available.

Message sent on to Bastian Blank <waldi@debian.org>:
Bug#499740. (Thu, 02 Oct 2008 21:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#499740; Package libwx-perl. (Thu, 02 Oct 2008 21:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 02 Oct 2008 21:36:05 GMT) Full text and rfc822 format available.

Message #26 received at 499740@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 499740@bugs.debian.org
Subject: Additional information
Date: Thu, 2 Oct 2008 23:32:45 +0200
[Message part 1 (text/plain, inline)]
Afer Dam's last mail we tried a few things, coordinating via IRC. The
tests showed that the FTBFS in the test suite happen reproducibly
with parallel builds and don't occur with non-parallel builds. That's
why we finally decided to disable running the tests in parallel for
the time being.

Cheers,
gregor

-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Pink Floyd: Don't Leave Now
[signature.asc (application/pgp-signature, inline)]

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. (Thu, 02 Oct 2008 22:00:10 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Thu, 02 Oct 2008 22:00:10 GMT) Full text and rfc822 format available.

Message #31 received at 499740-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 499740-close@bugs.debian.org
Subject: Bug#499740: fixed in libwx-perl 0.86-2
Date: Thu, 02 Oct 2008 21:32:28 +0000
Source: libwx-perl
Source-Version: 0.86-2

We believe that the bug you reported is fixed in the latest version of
libwx-perl, which is due to be installed in the Debian FTP archive:

libwx-perl_0.86-2.diff.gz
  to pool/main/libw/libwx-perl/libwx-perl_0.86-2.diff.gz
libwx-perl_0.86-2.dsc
  to pool/main/libw/libwx-perl/libwx-perl_0.86-2.dsc
libwx-perl_0.86-2_amd64.deb
  to pool/main/libw/libwx-perl/libwx-perl_0.86-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 499740@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated libwx-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 03 Oct 2008 00:11:25 +0300
Source: libwx-perl
Binary: libwx-perl
Architecture: source amd64
Version: 0.86-2
Distribution: unstable
Urgency: medium
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 libwx-perl - interface to wxWidgets cross-platform GUI toolkit
Closes: 499740
Changes: 
 libwx-perl (0.86-2) unstable; urgency=medium
 .
   * debian/rules: run tests with -j1; this disables parallel make during tests
     even if the build target was invoked with -jN (N>1).
     Closes: #499740 -- FTBFS: Failed 2/4 test scripts. 6/9 subtests failed.
Checksums-Sha1: 
 e3d6e6e5120040582202a7d4bd1e4e95ec38620f 1442 libwx-perl_0.86-2.dsc
 9b30d454fea7eb9607368732a35a24b82161bd3d 4005 libwx-perl_0.86-2.diff.gz
 332d970aee07dd52d1f9aaa32775f1441092efa8 1980170 libwx-perl_0.86-2_amd64.deb
Checksums-Sha256: 
 81bbcdb63901b6955d941c4448886e8b00be8b3098d9a0bd0fa8899e21454f65 1442 libwx-perl_0.86-2.dsc
 8ea3b9d9fbc35ecd2339336e8d433c19f83c40fef0243deab5aaaeb69e07d07e 4005 libwx-perl_0.86-2.diff.gz
 4169d673b26fd8c764952acf7a2021ac19a60508b284d5c54eb3ac99e20cd991 1980170 libwx-perl_0.86-2_amd64.deb
Files: 
 d3956db686960b4fc058c2b3826facb7 1442 perl optional libwx-perl_0.86-2.dsc
 7f4c5975e7a62cc9f8871688265a29d4 4005 perl optional libwx-perl_0.86-2.diff.gz
 4a8aa6b8a25ed2794160fbc10cf284b8 1980170 perl optional libwx-perl_0.86-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjlOysACgkQHqjlqpcl9jufYACfctWmjpXDMVFLyrClcN04gUez
ZCoAnicAy2yyrPsj2Ob1zzA57nkR5wqi
=xZu4
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#499740; Package libwx-perl. (Fri, 03 Oct 2008 15:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 03 Oct 2008 15:30:05 GMT) Full text and rfc822 format available.

Message #36 received at 499740@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 499740@bugs.debian.org
Subject: libwx-perl - FTBFS: Failed 3/4 test scripts. 8/9 subtests failed.
Date: Fri, 3 Oct 2008 17:26:52 +0200
found 499740 0.86-2
thanks

There was an error while trying to autobuild your package:

> Automatic build of libwx-perl_0.86-2 on debian-31.osdl.marist.edu by sbuild/s390 98
[...]
> make[4]: Entering directory `/build/buildd/libwx-perl-0.86/ext/pperl/splashfast'
> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, '../../../blib/lib', '../../../blib/arch')" t/*.t
> t/01_load....ok
> t/02_use.....dubious
> 	Test returned status 0 (wstat 4, 0x4)
> DIED. FAILED test 1
> 	Failed 1/1 tests, 0.00% okay
> t/03_new.....dubious
> 	Test returned status 0 (wstat 11, 0xb)
> DIED. FAILED tests 1-2
> 	Failed 2/2 tests, 0.00% okay
> t/04_app.....dubious
> 	Test returned status 0 (wstat 4, 0x4)
> DIED. FAILED tests 1-5
> 	Failed 5/5 tests, 0.00% okay
> Failed Test Stat Wstat Total Fail  List of Failed
> -------------------------------------------------------------------------------
> t/02_use.t     0     4     1    2  1
> t/03_new.t     0    11     2    4  1-2
> t/04_app.t     0     4     5   10  1-5
> Failed 3/4 test scripts. 8/9 subtests failed.
> Files=4, Tests=9,  9 wallclock secs ( 6.72 cusr +  0.23 csys =  6.95 CPU)
> Failed 3/4 test programs. 8/9 subtests failed.
> make[4]: *** [test_dynamic] Error 255
> make[4]: Leaving directory `/build/buildd/libwx-perl-0.86/ext/pperl/splashfast'
> make[3]: *** [subdirs-test] Error 2
> make[3]: Leaving directory `/build/buildd/libwx-perl-0.86/ext/pperl'
> make[2]: *** [subdirs-test] Error 2
> make[2]: Leaving directory `/build/buildd/libwx-perl-0.86/ext'
> make[1]: *** [subdirs-test] Error 2
> make[1]: Leaving directory `/build/buildd/libwx-perl-0.86'
> make: *** [build-stamp] Error 2
> dpkg-buildpackage: failure: debian/rules build gave error exit status 2
> ******************************************************************************
> Build finished at 20081002-1753
> FAILED [dpkg-buildpackage died]




Bug marked as found in version 0.86-2 and reopened. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Fri, 03 Oct 2008 15:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#499740; Package libwx-perl. (Fri, 03 Oct 2008 20:36:03 GMT) Full text and rfc822 format available.

Message #41 received at 499740@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 499740@bugs.debian.org
Subject: Re: Bug#499740: libwx-perl - FTBFS: Failed 3/4 test scripts. 8/9 subtests failed.
Date: Fri, 3 Oct 2008 23:29:23 +0300
[Message part 1 (text/plain, inline)]
tags 499740 -unreproducible
thanks

-=| Bastian Blank, Fri, Oct 03, 2008 at 05:26:52PM +0200 |=-
> found 499740 0.86-2

Sad, but true. The package fails on numerous architectures, in three 
different ways:

 * arm: the first test fails (wstat 11)
 * alpha, armel, hppa, mips, mipsel, s390, sparc: the splashfast test 
   fails (wstat 11)
 * powerpc: compilation fails as ./configure seems to look for wx2.6

Build succeeded on amd64, i386 and ia64. m68k build not attempted yet.

Ouch!

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Tags removed: unreproducible Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Fri, 03 Oct 2008 20:36:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#499740; Package libwx-perl. (Wed, 19 Nov 2008 04:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roberto C. Sánchez <roberto@connexer.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 19 Nov 2008 04:27:02 GMT) Full text and rfc822 format available.

Message #48 received at 499740@bugs.debian.org (full text, mbox):

From: Roberto C. Sánchez <roberto@connexer.com>
To: 499740@bugs.debian.org
Cc: Damyan Ivanov <dmn@debian.org>
Subject: Re: Bug#499740: libwx-perl - FTBFS: Failed 3/4 test scripts. 8/9 subtests failed.
Date: Tue, 18 Nov 2008 23:21:11 -0500
[Message part 1 (text/plain, inline)]
tags 499740 pending

On Fri, Oct 03, 2008 at 11:29:23PM +0300, Damyan Ivanov wrote:
> tags 499740 -unreproducible
> thanks
> 
> -=| Bastian Blank, Fri, Oct 03, 2008 at 05:26:52PM +0200 |=-
> > found 499740 0.86-2
> 
> Sad, but true. The package fails on numerous architectures, in three 
> different ways:
> 
>  * arm: the first test fails (wstat 11)
>  * alpha, armel, hppa, mips, mipsel, s390, sparc: the splashfast test 
>    fails (wstat 11)
>  * powerpc: compilation fails as ./configure seems to look for wx2.6
> 
> Build succeeded on amd64, i386 and ia64. m68k build not attempted yet.
> 

OK.  I just tested a build of the new upstream version (0.88) on raptor
(s390), bruckner (powerpc) and sperger (sparc), in addition to my own
i386 and amd64 systems.  In each case, all of the tests passed.  I will
consider this bug closed by the upload of libwx-perl 0.88-1.  The upload
will follow shortly.

Regards,

-Roberto

-- 
Roberto C. Sánchez
http://people.connexer.com/~roberto
http://www.connexer.com
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Roberto C. Sánchez <roberto@connexer.com> to control@bugs.debian.org. (Wed, 19 Nov 2008 04:27:03 GMT) Full text and rfc822 format available.

Reply sent to roberto@connexer.com (Roberto C. Sanchez):
You have taken responsibility. (Wed, 19 Nov 2008 04:57:03 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Wed, 19 Nov 2008 04:57:03 GMT) Full text and rfc822 format available.

Message #55 received at 499740-close@bugs.debian.org (full text, mbox):

From: roberto@connexer.com (Roberto C. Sanchez)
To: 499740-close@bugs.debian.org
Subject: Bug#499740: fixed in libwx-perl 0.88-1
Date: Wed, 19 Nov 2008 04:32:04 +0000
Source: libwx-perl
Source-Version: 0.88-1

We believe that the bug you reported is fixed in the latest version of
libwx-perl, which is due to be installed in the Debian FTP archive:

libwx-perl_0.88-1.diff.gz
  to pool/main/libw/libwx-perl/libwx-perl_0.88-1.diff.gz
libwx-perl_0.88-1.dsc
  to pool/main/libw/libwx-perl/libwx-perl_0.88-1.dsc
libwx-perl_0.88-1_amd64.deb
  to pool/main/libw/libwx-perl/libwx-perl_0.88-1_amd64.deb
libwx-perl_0.88.orig.tar.gz
  to pool/main/libw/libwx-perl/libwx-perl_0.88.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 499740@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Roberto C. Sanchez <roberto@connexer.com> (supplier of updated libwx-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 18 Nov 2008 19:57:16 -0500
Source: libwx-perl
Binary: libwx-perl
Architecture: source amd64
Version: 0.88-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Roberto C. Sanchez <roberto@connexer.com>
Description: 
 libwx-perl - interface to wxWidgets cross-platform GUI toolkit
Closes: 499740
Changes: 
 libwx-perl (0.88-1) unstable; urgency=low
 .
   [ Roberto C. Sanchez]
   * New upstream release (Closes: #499740)
 .
   [ gregor herrmann]
   * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
     (source stanza).
Checksums-Sha1: 
 df28120837514882ffa34c35495930811d69d80c 1437 libwx-perl_0.88-1.dsc
 aef1517783f488fe61944d4f4cb64be283779c01 368249 libwx-perl_0.88.orig.tar.gz
 b50afeb10533d941d1dd8262586d4af86b3bfe8c 4144 libwx-perl_0.88-1.diff.gz
 b132945101b96042c935bb3c11b5b6887c1ad66f 1978514 libwx-perl_0.88-1_amd64.deb
Checksums-Sha256: 
 0cae9c913dc624e705e828c5c44c03c24674fb4387a1535e7fb67a1e515da2dc 1437 libwx-perl_0.88-1.dsc
 57ab88d8438818da0862616d12c2b380ce730e4c2637fc23602dfaaccbfee9ae 368249 libwx-perl_0.88.orig.tar.gz
 3217fd1b74641edd96d6e2b83d354b12f37b932b1a633c40a80794406167852c 4144 libwx-perl_0.88-1.diff.gz
 fc2953d699a10ad424d0afcdcc137bdb1646c75e9eed2b2bc0abc774bf3cb9a3 1978514 libwx-perl_0.88-1_amd64.deb
Files: 
 65c857a5b757f0d6b57eeca0206930da 1437 perl optional libwx-perl_0.88-1.dsc
 5a0b7e3004c6a14f0618e6c2fd27a52c 368249 perl optional libwx-perl_0.88.orig.tar.gz
 3a3e487ea7997f81c1ed86f3f0eddda1 4144 perl optional libwx-perl_0.88-1.diff.gz
 231002d43c88372baba2486e8f1ad90a 1978514 perl optional libwx-perl_0.88-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFJI46G5SXWIKfIlGQRAsARAJ93zPZ383e4oQ8vWhWC9u6dEHOkXACgxVF1
wPTJ/yw6p2oHmu/V6Y4GOdw=
=/tKP
-----END PGP SIGNATURE-----





Bug marked as found in version 0.88-1 and reopened. Request was from zobel@ftbfs.de (Martin Zobel-Helas) to control@bugs.debian.org. (Sun, 23 Nov 2008 09:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#499740; Package libwx-perl. (Thu, 24 Dec 2009 20:18:02 GMT) Full text and rfc822 format available.

Message #60 received at 499740@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 499740@bugs.debian.org, 499740-submitter@bugs.debian.org
Subject: Bug in libwx-perl fixed in revision 49344
Date: Thu, 24 Dec 2009 20:15:45 +0000
tag 499740 + pending
thanks

Some bugs are closed in revision 49344
by Ryan Niebur (ryan)

Commit message:

skip the failing tests (Closes: #499740)




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 24 Dec 2009 20:18:04 GMT) Full text and rfc822 format available.

Message sent on to Bastian Blank <waldi@debian.org>:
Bug#499740. (Thu, 24 Dec 2009 20:18:06 GMT) Full text and rfc822 format available.

Reply sent to Ryan Niebur <ryan@debian.org>:
You have taken responsibility. (Thu, 24 Dec 2009 21:21:05 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Thu, 24 Dec 2009 21:21:05 GMT) Full text and rfc822 format available.

Message #70 received at 499740-close@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryan@debian.org>
To: 499740-close@bugs.debian.org
Subject: Bug#499740: fixed in libwx-perl 0.94-1
Date: Thu, 24 Dec 2009 21:18:54 +0000
Source: libwx-perl
Source-Version: 0.94-1

We believe that the bug you reported is fixed in the latest version of
libwx-perl, which is due to be installed in the Debian FTP archive:

libwx-perl_0.94-1.diff.gz
  to main/libw/libwx-perl/libwx-perl_0.94-1.diff.gz
libwx-perl_0.94-1.dsc
  to main/libw/libwx-perl/libwx-perl_0.94-1.dsc
libwx-perl_0.94-1_i386.deb
  to main/libw/libwx-perl/libwx-perl_0.94-1_i386.deb
libwx-perl_0.94.orig.tar.gz
  to main/libw/libwx-perl/libwx-perl_0.94.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 499740@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Niebur <ryan@debian.org> (supplier of updated libwx-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 24 Dec 2009 12:23:28 -0800
Source: libwx-perl
Binary: libwx-perl
Architecture: source i386
Version: 0.94-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Ryan Niebur <ryan@debian.org>
Description: 
 libwx-perl - interface to wxWidgets cross-platform GUI toolkit
Closes: 499740
Changes: 
 libwx-perl (0.94-1) unstable; urgency=low
 .
   [ Roberto C. Sanchez ]
   * New upstream release
 .
   [ Ryan Niebur ]
   * remove wrap_get_raw_keycode.patch, applied upstream
   * skip the failing tests (Closes: #499740)
Checksums-Sha1: 
 0caf11de348031ceb4b51881f3be1d8cbe032a3e 1481 libwx-perl_0.94-1.dsc
 b1f73eef0caf477db62c016e4463baa2f7e4e601 353476 libwx-perl_0.94.orig.tar.gz
 236a2927ff84e89ca1b89b7f0d73027856d725cb 4114 libwx-perl_0.94-1.diff.gz
 a24171c8df642c3b6b38c8aeca031a023412cff9 1821594 libwx-perl_0.94-1_i386.deb
Checksums-Sha256: 
 8e2bf4f81318f644ee4bd2f073a49d2cdb67a2f48152747fac75c0d70e5d495c 1481 libwx-perl_0.94-1.dsc
 fb610f64f12c80b482257ce0ed346f7506695d83e13b344481546a5170059153 353476 libwx-perl_0.94.orig.tar.gz
 6b9490c3ff676ecc6668a3790d52cb5ec11d736a3f8e05387ba2246390aa7547 4114 libwx-perl_0.94-1.diff.gz
 7ca40ecf020c82640059a7fd01b4ce3d70c22b65c5f268a441fd7124bbf07ce9 1821594 libwx-perl_0.94-1_i386.deb
Files: 
 5da1db46227a497839998f9627e4640e 1481 perl optional libwx-perl_0.94-1.dsc
 401e2eaa723fd61e5dded7256de89804 353476 perl optional libwx-perl_0.94.orig.tar.gz
 098c25c36a2b825a5220f447cda4fa96 4114 perl optional libwx-perl_0.94-1.diff.gz
 552615348b2b277d2699878eeb7fd829 1821594 perl optional libwx-perl_0.94-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkszz6EACgkQMihv+PacasUxfACeJQsyswrIAOb1CV1TOfGtI3dk
ZYEAn2QJ+GQkrsa3Pe3zO2F1oz+Q5nvc
=3xP4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jan 2010 07:31:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:43:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.